Module ij
Package ij.process

# Class LUT

java.lang.Object
java.awt.image.ColorModel
java.awt.image.IndexColorModel
ij.process.LUT

All Implemented Interfaces:
  `Transparency`, `Cloneable`

public class LUT extends IndexColorModel implements Cloneable
This is an indexed color model that allows an lower and upper bound to be specified.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`max`
`double`
`min`
`static final String`
`nameKey`

### Fields inherited from class java.awt.image.ColorModel

`pixel_bits, transferType`

### Fields inherited from interface java.awt.Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

## Constructor Summary

Constructors
Constructor
Description
`LUT(byte[] r, byte[] g, byte[] b)`
Constructs a LUT from red, green and blue byte arrays, which must have a length of 256.
`LUT(int bits, int size, byte[] r, byte[] g, byte[] b)`
Constructs a LUT from red, green and blue byte arrays, where 'bits' must be 8 and 'size' must be less than or equal to 256.
`LUT(IndexColorModel cm, double min, double max)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`LUT`
`createInvertedLut()`
`static LUT`
`createLutFromColor(Color color)`
Creates a color LUT from a Color.
`byte[]`
`getBytes()`
`IndexColorModel`
`getColorModel()`
`String`
`toString()`

### Methods inherited from class java.awt.image.IndexColorModel

`convertToIntDiscrete, createCompatibleSampleModel, createCompatibleWritableRaster, equals, getAlpha, getAlphas, getBlue, getBlues, getComponents, getComponents, getComponentSize, getDataElement, getDataElements, getDataElements, getGreen, getGreens, getMapSize, getRed, getReds, getRGB, getRGBs, getTransparency, getTransparentPixel, getValidPixels, hashCode, isCompatibleRaster, isCompatibleSampleModel, isValid, isValid`

### Methods inherited from class java.awt.image.ColorModel

`coerceData, getAlpha, getAlphaRaster, getBlue, getColorSpace, getComponentSize, getDataElement, getDataElements, getGreen, getNormalizedComponents, getNormalizedComponents, getNumColorComponents, getNumComponents, getPixelSize, getRed, getRGB, getRGBdefault, getTransferType, getUnnormalizedComponents, hasAlpha, isAlphaPremultiplied`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### nameKey

public static final String nameKey

See Also:
  - Constant Field Values

### min

public double min

### max

public double max

## Constructor Details

### LUT

public LUT(byte[] r, byte[] g, byte[] b)
Constructs a LUT from red, green and blue byte arrays, which must have a length of 256.

### LUT

public LUT(int bits, int size, byte[] r, byte[] g, byte[] b)
Constructs a LUT from red, green and blue byte arrays, where 'bits' must be 8 and 'size' must be less than or equal to 256.

### LUT

public LUT(IndexColorModel cm, double min, double max)

## Method Details

### getColorModel

public IndexColorModel getColorModel()

### getBytes

public byte[] getBytes()

### createInvertedLut

public LUT createInvertedLut()

### createLutFromColor

public static LUT createLutFromColor(Color color)
Creates a color LUT from a Color.

### clone

public Object clone()

Overrides:
  `clone` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `IndexColorModel`